For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
            • GETList Channels
            • GETGet Channel Details by Channel ID
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementChannels

Get Channel Details by Channel ID

GET
https://api-b2b.bigcommerce.com/api/v3/io/channels/:channel_id
GET
/api/v3/io/channels/:channel_id
$curl https://api-b2b.bigcommerce.com/api/v3/io/channels/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "code": 200,
3 "data": {
4 "id": 42,
5 "channelId": 1,
6 "name": "Main Storefront",
7 "type": "storefront",
8 "platform": "bigcommerce",
9 "status": "active",
10 "site": "https://store.example.com",
11 "isVisible": true,
12 "isEnabled": true,
13 "iconUrl": "https://cdn.bigcommerce.com/icons/storefront.png",
14 "b2bEnabled": true,
15 "allowGlobalLogins": false,
16 "createdAt": "2024-05-01T12:00:00Z",
17 "updatedAt": "2024-06-10T15:30:00Z"
18 },
19 "meta": {
20 "message": "SUCCESS"
21 }
22}

Returns data for the specific channel associated with channel_id. Analogous to Get A Channel in the BigCommerce API.

Was this page helpful?
Previous

List Channels

Next

Company Management

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

channel_idintegerRequired
The unique BigCommerce channel ID.

Response

SUCCESS
codeintegerDefaults to 200
dataobject
A BigCommerce store channel object
metaobject

Errors

403
Forbidden Error
404
Not Found Error